import processing.sound.*;
SoundFile bassDrum;
SoundFile snareDrum;
SoundFile openHatDrum;
SoundFile closedHatDrum;
SoundFile clapDrum;

SawOsc saw;
//C1, C#1, D1, D#1, E1, F1, F#1, G1, G#1, A1, A#1, B1
float[] notes1 = {32.70, 34.65, 36.71, 38.89, 41.20, 43.65, 46.25, 49.00, 51.91, 55.00, 58.27,  61.74};

void setup(){
  size(640, 360);
  Sound.list();
  bassDrum = new SoundFile(this, "TR909all/BT7A0D3.WAV");
  snareDrum = new SoundFile(this, "TR909all/ST7TAS3.WAV");;
  openHatDrum = new SoundFile(this, "TR909all/HHOD6.WAV");;
  closedHatDrum = new SoundFile(this, "TR909all/HHCD6.WAV");;
  clapDrum = new SoundFile(this, "TR909all/HANDCLP2.WAV");;
  
  saw = new SawOsc(this);
}

void draw(){
}

void keyPressed(){
  switch(key){
    case '1':
      bassDrum.play();
      break;
    case '2':
      snareDrum.play();
      break;
    case '3':
      openHatDrum.play();
      break;
    case '4':
      closedHatDrum.play();
      break;
    case '5':
      clapDrum.play();
      break;
    case 'a':
      saw.stop();
      saw.play(notes1[0], 1);
      break;
    case 'w':
      saw.stop();
      saw.play(notes1[1], 1);
      break;
    case 's':
      saw.stop();
      saw.play(notes1[2], 0.7);
      break;
    case 'e':
      saw.stop();
      saw.play(notes1[3], 0.7);
      break;
    case 'd':
      saw.stop();
      saw.play(notes1[4], 0.7);
      break;
    case 'f':
      saw.stop();
      saw.play(notes1[5], 0.7);
      break;
    case 't':
      saw.stop();
      saw.play(notes1[6], 0.7);
      break;
    case 'g':
      saw.stop();
      saw.play(notes1[7], 0.7);
      break;
    case 'y':
      saw.stop();
      saw.play(notes1[8], 0.7);
      break;
    case 'h':
      saw.stop();
      saw.play(notes1[9], 0.7);
      break;
    case 'u':
      saw.stop();
      saw.play(notes1[10], 0.7);
      break;
    case 'j':
      saw.stop();
      saw.play(notes1[11], 0.7);
      break;
    default:
      break;
  }
}

void keyReleased(){
  saw.stop();
}
